Subject: [Ietf-calsify] I18n considerations section in rfc2445bis

From: aki.niemi at nokia.com (Aki Niemi)
Date: Tue Jun 12 02:06:27 2007

Hi all,

The current rfc2445bis draft has an internationalization considerations 
section but it's empty. How about:

<section title='Internationalization Considerations'>

   <p>
     All the implementations of iCalendar conformant to this
     specification MUST generate UTF-8 and accept either UTF-8 or
     US-ASCII encoding.
   </p>

</section>

Cheers,
Aki
(as individual contributor)

---

From: reinhold at kainhofer.com (Reinhold Kainhofer)
Date: Tue Jun 12 02:55:15 2007

>      specification MUST generate UTF-8 and accept either UTF-8 or

Hmm, isn't US-ASCII a subset of UTF-8? What's the exact meaning of the second 
part? An Implementation that only accepts US-ASCII is worthless, as it breaks 
with all international characters (German umlaute, French accents, the 
Spanish ?, etc.), and should not be considered conformant in my opinion. And 
an implementation that accepts UTF-8 automatically accepts US-ASCII.

Cheers,
Reinhold

- -- 
- ------------------------------------------------------------------
Reinhold Kainhofer, Vienna University of Technology, Austria
email: [email-masked], http://reinhold.kainhofer.com/
 * Financial and Actuarial Mathematics, TU Wien, http://www.fam.tuwien.ac.at/
 * K Desktop Environment, http://www.kde.org, KOrganizer maintainer
 * Chorvereinigung "Jung-Wien", http://www.jung-wien.at/

---

From: mikesamuel at gmail.com (Mike Samuel)
Date: Tue Jun 12 10:33:50 2007

How many projects out there support unicode pages 0x100000 - 0x10ffff?

Do most of the java projects out there support proper UTF-8 or will
they UTF-16 encode codepoints >= 0x10000 the way java.lang.String
does?

mike

On 12/06/07, Reinhold Kainhofer <[email-masked]> wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.6 (GNU/Linux)
>
> iD8DBQFGbm0ZTqjEwhXvPN0RAjRZAJ9EAvz4HthAM12kMsfFZtT6Bx8NgwCgic0A
> 2zvTAATl17vCAnNbsi2o77k=
> =dcvn
> -----END PGP SIGNATURE-----
> _______________________________________________
> Ietf-calsify mailing list
> [email-masked]
> http://lists.osafoundation.org/mailman/listinfo/ietf-calsify
>

---

From: aki.niemi at nokia.com (Aki Niemi)
Date: Tue Jun 12 23:42:44 2007

> an implementation that accepts UTF-8 automatically accepts US-ASCII.

This text was supposed to merely point out in summary what the 
specification says elsewhere. Namely that UTF-8 is the default charset, 
but implementations must also accept iCalendar objects whose MIME type 
has s charset=us-ascii parameter.

I'd welcome suggestions for better wording; I realize this is important 
to get right and definitely don't want this sections to say anything 
contradictory to the main body of text.

Cheers,
Aki